---
schema_version: "1"
id: 3604ab27c0a4ab3ec03f30c7d38934813d8c23ac509de0631355b879915106dd
title: Service Processes
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/automotive/references/generated-api-specs/service-processes.md
canonical_url: https://developer.salesforce.com/docs/industries/automotive/references/service-processes
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6b88befaf222bbd7a11233cf4424f7829d47eeb02aa8f908384d3b4457717608
products:
  - Automotive Cloud Integrations API
  - Industries Integrations
---
Service Processes

# Service Processes

Use the Automotive Service Process API to simplify and streamline the intake and fulfillment of service processes.

**Version:** v1

Protocols: HTTPS.

## Operations

### PATCH Update the customer details

`PATCH /api/customers/{customerId}`

Updates the customer details.

#### Parameters

*   `customerId` (path, string, required) Customer ID.  
    Example: `CID776623`.

#### Request body

Media type: `application/json`. Schema: `CustomersRequest`.

#### Responses

*   **200** Updated the customer details.
    
    Media type: `application/json`. Schema: `CustomersResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource can't generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it isn't in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update the Auto Loan details

`PATCH /api/AutoLoan/{loanId}`

Updates the Auto Loan details.

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `AddressUpdateRequest`.

#### Responses

*   **200** Updated the Auto Loan details.
    
    Media type: `application/json`. Schema: `SuccessResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve Auto loan transactions

`GET /api/AutoLoan/{loanId}/transactions`

Retrieves an Auto loan to get its transactions.

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `transactionId` (query, string)
*   `startDate` (query, datetime) Returns the transactions that occurred on or after the start date.
*   `endDate` (query, datetime) Returns the transactions that occurred on or before the end date.
*   `minAmount` (query, number) Returns the transactions having an amount that's higher than the minimum transaction amount.
*   `maxAmount` (query, number) Returns the transactions having an amount that's lower than the maximum transaction amount.
*   `description` (query, string) Returns the transactions having a description that contains the provided string.
*   `transactionType` (query, string) Returns the transactions where the transaction type matches the transactionType parameter.
*   `offset` (query, number) Specifies the number of transactions to be skipped before returning the first transaction.  
    Default: `0`.
*   `limit` (query, number) Specifies the maximum number of records to return.  
    Default: `10`.
*   `sortBy` (query, string) Specifies the fields to use to sort the records.  
    Default: `TransactionId`.
*   `fields` (query, string) Specifies the field to return in the response.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved Auto loan transactions.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_)  
        Example: `Auto loan`.
    *   `Transactions` (_array of object_, required)
        
        Each item: Transaction object for an account.
        
        *   `TransactionId` (_string_, required)  
            Example: `123456`.
        *   `TransactionType` (_string_)  
            Example: `Fee`.
        *   `TransactionDescription` (_string_)  
            Example: `Annual Credit Card Fee`.
        *   `TransactionAmount` (_number_, required)  
            Example: `5000`.
        *   `TransactionPostedDate` (_string_, required)  
            Example: `2000-01-01`.
        *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
            Example: `USD`.
        *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_)
            
            _Example_
            
            ```
            "Subtype": Overdraft Fee
            ```
            
    *   `AdditionalAttributes` (_object_)
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Reverse fee on Auto loan

`POST /api/AutoLoan/{loanId}/ReverseFee`

Reverses the fee that's applied on a customer's Auto loan.

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `request` (_object_, required)
    *   `FeeReversalTransactions` (_array of object_, required) List of transactions that the customer requested to reverse.
        *   `ReversalAmount` (_number_, required) Approved amount for the reversal.  
            Example: `50.00`.
        *   `ReversalAmountCurrency` (_string_, required) Currency of the amount to reverse.  
            Example: `USD`.
        *   `ReversalReason` (_string_, required) Reason for the reversal request.  
            Example: `Reversal requested by the VIP customer.`.
        *   `OriginalTransaction` (_object_, required) Details of the original transaction.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
                Example: `USD`.
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
            *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_, required) Additional attributes to send in the request.

#### Responses

*   **200** Reversed fee on Auto loan.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `FeeReversalTransactionResponse` (_array of object_, required)
        *   `OriginalTransactionId` (_string_, required)  
            Example: `someTransactionId`.
        *   `FeeReversalErrorDetail` (_object_) Response object for an error.
            *   `ErrorCode` (_string_)  
                Example: `E-002`.
            *   `ErrorMessage` (_string_, required)  
                Example: `Specifies the error while retrieving the account information.`.
            *   `MaintenanceResponse` (_object_)
                *   `timestamp` (_datetime (rfc3339)_)  
                    Example: `2022-02-28T16:41:41.090Z`.
        *   `FeeReversalTransaction` (_object_) Transaction object for an account.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
                Example: `USD`.
            *   `TransactionCode` (_string_)
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Auto Loan for Paymnet Deferral

`POST /api/AutoLoan/{loanId}/PaymentDeferral/Eligibility`

Check the eligibility of Auto Loan for Paymnet Deferral

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `eligibilityVerificationDate` (_date-only_, required)  
    Example: `2024-12-10`.
*   `deferralReason` (_string_, required)  
    Example: `financial_hardship`.

#### Responses

*   **200** Retrieved the eligibility of Paymnet Deferral
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required)  
        Example: `true`.
    *   `modifiedPaymentDetails` (_object_, required)
        *   `deferredPaymentsCount` (_number_, required)  
            Example: `3`.
        *   `nextDueDateAfterDeferral` (_date-only_, required)  
            Example: `2025-01-01`.
        *   `interestAccruedDuringDeferral` (_number (double)_, required)  
            Example: `200.50`.
    *   `deferralEligibilityExpiryDate` (_date-only_, required)  
        Example: `2024-12-01`.
    *   `eligibilityVerificationDate` (_date-only_)  
        Example: `2024-10-18`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Payment Deferral enrollment for Auto Loan

`POST /api/AutoLoan/{loanId}/PaymentDeferral/Enrollment`

Enroll Auto Loan for Paymnet Deferral

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `updatedPaymentDetails` (_object_, required)
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
*   `confirmationDate` (_date-only_, required)  
    Example: `2024-10-18`.
*   `requiresUpfrontPayment` (_boolean_)  
    Example: `false`.

#### Responses

*   **200** Payment Deferral enrollment created successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `status` (_string_, required)  
        Example: `Success`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
    *   `confirmationDate` (_date-only_, required)  
        Example: `2024-10-18`.
    *   `requiresUpfrontPayment` (_boolean_)  
        Example: `false`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Auto Loan for Due Date Change

`POST /api/AutoLoan/{loanId}/DueDateChange/Eligibility`

Check the eligibility of Auto Loan for Due Date Change

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required)  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required)  
    Minimum: 1. Maximum: 28. Example: `2`.

#### Responses

*   **200** Retrieved the eligibility of Due Date Change
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required)  
        Example: `true`.
    *   `paymentFrequency` (_string_, required)  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required)  
        Minimum: 1. Maximum: 28. Example: `2`.
    *   `currentDueDate` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `eligibilityCriteriaMet` (_array of any_)
        
        _Example_
        
        ```
        - "No past due payments"
        - "Loan balance under $10,000"
        ```
        
    *   `modifiedPaymentDetails` (_object_, required)
        *   `paymentAmount` (_number (double)_, required)  
            Example: `250.75`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `5000.00`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `35.25`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2025-01-01`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Due Date Change confirmation for Auto Loan

`POST /api/AutoLoan/{loanId}/DueDateChange/Confirmation`

Confirm Auto Loan for Due Date Change

#### Parameters

*   `loanId` (path, string, required) ID of an auto loan account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required)  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required)  
    Example: `3`.
*   `confirmation` (_boolean_, required)  
    Example: `true`.
*   `confirmationTimestamp` (_datetime_, required)  
    Example: `2025-01-10T09:53:06.851858Z`.
*   `modifiedPaymentDetails` (_object_, required)
    *   `paymentAmount` (_number (double)_, required)  
        Example: `2000.05`.
    *   `remainingBalance` (_number (double)_, required)  
        Example: `20000`.
    *   `interestAccrued` (_number (double)_, required)  
        Example: `20.05`.
    *   `nextPaymentDueDate` (_date-only_, required)  
        Example: `2024-10-01`.

#### Responses

*   **200** Due Date Change confirmed successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `confirmationStatus` (_string_, required)  
        Example: `Confirmed`.
    *   `paymentFrequency` (_string_, required)  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required)  
        Example: `3`.
    *   `modifiedPaymentDetails` (_object_, required)
        *   `paymentAmount` (_number (double)_, required)  
            Example: `2000.05`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `20000`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `20.05`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2024-10-01`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PATCH Update the Auto Lease details

`PATCH /api/AutoLease/{leaseId}`

Updates the Auto Lease details.

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.

#### Request body

Media type: `application/json`. Schema: `AddressUpdateRequest`.

#### Responses

*   **200** Updated the Auto Lease details.
    
    Media type: `application/json`. Schema: `SuccessResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve Auto lease transactions

`GET /api/AutoLease/{leaseId}/transactions`

Retrieves an Auto lease to get its transactions.

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `transactionId` (query, string)
*   `startDate` (query, datetime) Returns the transactions that occurred on or after the start date.
*   `endDate` (query, datetime) Returns the transactions that occurred on or before the end date.
*   `minAmount` (query, number) Returns the transactions having an amount that's higher than the minimum transaction amount.
*   `maxAmount` (query, number) Returns the transactions having an amount that's lower than the maximum transaction amount.
*   `description` (query, string) Returns the transactions having a description that contains the provided string.
*   `transactionType` (query, string) Returns the transactions where the transaction type matches the transactionType parameter.
*   `offset` (query, number) Specifies the number of transactions to be skipped before returning the first transaction.  
    Default: `0`.
*   `limit` (query, number) Specifies the maximum number of records to return.  
    Default: `10`.
*   `sortBy` (query, string) Specifies the fields to use to sort the records.  
    Default: `TransactionId`.
*   `fields` (query, string) Specifies the field to return in the response.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Retrieved Auto lease transactions.
    
    Media type: `application/json`. Schema: `object`.
    
    Financial account info returned by the GET method.
    
    *   `AccountId` (_string_)  
        Example: `01axx000003MLytAAG`.
    *   `AccountName` (_string_)  
        Example: `Salesforce.com`.
    *   `AccountCurrency` (_string_, required)  
        Example: `USD`.
    *   `AccountType` (_string_)  
        Example: `Auto lease`.
    *   `Transactions` (_array of object_, required)
        
        Each item: Transaction object for an account.
        
        *   `TransactionId` (_string_, required)  
            Example: `123456`.
        *   `TransactionType` (_string_)  
            Example: `Fee`.
        *   `TransactionDescription` (_string_)  
            Example: `Annual Credit Card Fee`.
        *   `TransactionAmount` (_number_, required)  
            Example: `5000`.
        *   `TransactionPostedDate` (_string_, required)  
            Example: `2000-01-01`.
        *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
            Example: `USD`.
        *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_)
            
            _Example_
            
            ```
            "Subtype": Overdraft Fee
            ```
            
    *   `AdditionalAttributes` (_object_)
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Reverse fee on Auto lease account

`POST /api/AutoLease/{leaseId}/ReverseFee`

Reverses the fee that's applied on a customer's Auto lease account.

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `request` (_object_, required)
    *   `FeeReversalTransactions` (_array of object_, required) List of transactions that the customer requested to reverse.
        *   `ReversalAmount` (_number_, required) Approved amount for the reversal.  
            Example: `50.00`.
        *   `ReversalAmountCurrency` (_string_, required) Currency of the amount to reverse.  
            Example: `USD`.
        *   `ReversalReason` (_string_, required) Reason for the reversal request.  
            Example: `Reversal requested by the VIP customer.`.
        *   `OriginalTransaction` (_object_, required) Details of the original transaction.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
                Example: `USD`.
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
            *   `TransactionCode` (_string_)
        *   `AdditionalAttributes` (_object_, required) Additional attributes to send in the request.

#### Responses

*   **200** Reversed fee on Auto lease account.
    
    Media type: `application/json`. Schema: `object`.
    
    *   `FeeReversalTransactionResponse` (_array of object_, required)
        *   `OriginalTransactionId` (_string_, required)  
            Example: `someTransactionId`.
        *   `FeeReversalErrorDetail` (_object_) Response object for an error.
            *   `ErrorCode` (_string_)  
                Example: `E-002`.
            *   `ErrorMessage` (_string_, required)  
                Example: `Specifies the error while retrieving the account information.`.
            *   `MaintenanceResponse` (_object_)
                *   `timestamp` (_datetime (rfc3339)_)  
                    Example: `2022-02-28T16:41:41.090Z`.
        *   `FeeReversalTransaction` (_object_) Transaction object for an account.
            *   `TransactionId` (_string_, required)  
                Example: `123456`.
            *   `TransactionType` (_string_)  
                Example: `Fee`.
            *   `TransactionDescription` (_string_)  
                Example: `Annual Credit Card Fee`.
            *   `TransactionAmount` (_number_, required)  
                Example: `5000`.
            *   `TransactionPostedDate` (_string_, required)  
                Example: `2000-01-01`.
            *   `TransactionAmountCurrency` (_string_, required) Currency of the original transaction amount.  
                Example: `USD`.
            *   `TransactionCode` (_string_)
            *   `AdditionalAttributes` (_object_)
                
                _Example_
                
                ```
                "Subtype": Overdraft Fee
                ```
                
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Auto Lease for Paymnet Deferral

`POST /api/AutoLease/{leaseId}/PaymentDeferral/Eligibility`

Check the eligibility of Auto Lease for Paymnet Deferral

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `eligibilityVerificationDate` (_date-only_, required)  
    Example: `2024-12-10`.
*   `deferralReason` (_string_, required)  
    Example: `financial_hardship`.

#### Responses

*   **200** Retrieved the eligibility of Paymnet Deferral
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required)  
        Example: `true`.
    *   `modifiedPaymentDetails` (_object_, required)
        *   `deferredPaymentsCount` (_number_, required)  
            Example: `3`.
        *   `nextDueDateAfterDeferral` (_date-only_, required)  
            Example: `2025-01-01`.
        *   `interestAccruedDuringDeferral` (_number (double)_, required)  
            Example: `200.50`.
    *   `deferralEligibilityExpiryDate` (_date-only_, required)  
        Example: `2024-12-01`.
    *   `eligibilityVerificationDate` (_date-only_)  
        Example: `2024-10-18`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Payment Deferral enrollment for Auto Lease

`POST /api/AutoLease/{leaseId}/PaymentDeferral/Enrollment`

Enroll Auto Lease for Paymnet Deferral

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `updatedPaymentDetails` (_object_, required)
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
*   `confirmationDate` (_date-only_, required)  
    Example: `2024-10-18`.
*   `requiresUpfrontPayment` (_boolean_)  
    Example: `false`.

#### Responses

*   **200** Payment Deferral enrollment created successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `status` (_string_, required)  
        Example: `Success`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
    *   `confirmationDate` (_date-only_, required)  
        Example: `2024-10-18`.
    *   `requiresUpfrontPayment` (_boolean_)  
        Example: `false`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of Auto Lease for Due Date Change

`POST /api/AutoLease/{leaseId}/DueDateChange/Eligibility`

Check the eligibility of Auto Lease for Due Date Change

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required)  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required)  
    Minimum: 1. Maximum: 28. Example: `2`.

#### Responses

*   **200** Retrieved the eligibility of Due Date Change
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required)  
        Example: `true`.
    *   `paymentFrequency` (_string_, required)  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required)  
        Minimum: 1. Maximum: 28. Example: `2`.
    *   `currentDueDate` (_date-only_, required)  
        Example: `2025-01-01`.
    *   `eligibilityCriteriaMet` (_array of any_)
        
        _Example_
        
        ```
        - "No past due payments"
        - "Loan balance under $10,000"
        ```
        
    *   `modifiedPaymentDetails` (_object_, required)
        *   `paymentAmount` (_number (double)_, required)  
            Example: `250.75`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `5000.00`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `35.25`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2025-01-01`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Due Date Change confirmation for Auto Lease

`POST /api/AutoLease/{leaseId}/DueDateChange/Confirmation`

Confirm Auto Lease for Due Date Change

#### Parameters

*   `leaseId` (path, string, required) ID of the auto lease account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) Unique trackingId of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) Unique flowRefId from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required)  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required)  
    Example: `3`.
*   `confirmation` (_boolean_, required)  
    Example: `true`.
*   `confirmationTimestamp` (_datetime_, required)  
    Example: `2025-01-10T09:53:06.851858Z`.
*   `modifiedPaymentDetails` (_object_, required)
    *   `paymentAmount` (_number (double)_, required)  
        Example: `2000.05`.
    *   `remainingBalance` (_number (double)_, required)  
        Example: `20000`.
    *   `interestAccrued` (_number (double)_, required)  
        Example: `20.05`.
    *   `nextPaymentDueDate` (_date-only_, required)  
        Example: `2024-10-01`.

#### Responses

*   **200** Due Date Change confirmed successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required)  
        Example: `12334455`.
    *   `confirmationStatus` (_string_, required)  
        Example: `Confirmed`.
    *   `paymentFrequency` (_string_, required)  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required)  
        Example: `3`.
    *   `modifiedPaymentDetails` (_object_, required)
        *   `paymentAmount` (_number (double)_, required)  
            Example: `2000.05`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `20000`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `20.05`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2024-10-01`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** No valid credentials were found to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource wasn't found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource doesn't support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as PATCH /api/customers/{customerId} 415 response._
    
*   **429** Exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server is refusing to handle the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### CustomersRequest

*   `request` (_object_, required)
    *   `requestId` (_string_, required)  
        Example: `006E0000004TquXIAS`.
    *   `flowRefId` (_string_) Unique flowRefId from the source system of the request.  
        Example: `006E0077774TquXIAS`.
*   `contactInformation` (_object_, required)
    *   `addresses` (_array of object_)
        *   `addressType` (_string_, required) Type of address, such as home.  
            Example: `Mailing Address`.
        *   `addressLine1` (_string_, required) Line 1 of the customer’s address.  
            Example: `415 Mission St`.
        *   `addressLine2` (_string_) Line 2 of the customer’s address.  
            Example: `Floor 61`.
        *   `city` (_string_, required) City name of the customer’s address.  
            Example: `San Francisco`.
        *   `state` (_string_, required) State of the customer’s address.  
            Example: `CA`.
        *   `postalCode` (_string_, required) Postal code of the customer’s address.  
            Example: `94105`.
        *   `countryCode` (_string_, required) Country of the customer’s address.  
            Example: `USA`.
    *   `phone` (_string_) Customer's Phone number.  
        Example: `+919876543210`.
    *   `mobile` (_string_) Customer's Mobile phone number.  
        Example: `+919876543210`.
    *   `email` (_string_) Customer's email address.  
        Example: `bob.martin@salesforce.com`.

### CustomersResponse

*   `Status` (_string_, required) Status of the request.  
    Example: `INPROGRESS`.

### ErrorResponse

Standard message body to return with the error responses.

*   `errorCode` (_string_, required) Short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) Verbose human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) Request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) Event date and time.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### AddressUpdateRequest

*   `request` (_object_, required)
    *   `requestId` (_string_, required)  
        Example: `006E0000004TquXIAS`.
*   `addresses` (_array of object_, required)
    *   `addressType` (_string_, required) Type of address, such as home.  
        Example: `Mailing Address`.
    *   `addressLine1` (_string_, required) Line 1 of the customer’s address.  
        Example: `415 Mission St`.
    *   `addressLine2` (_string_) Line 2 of the customer’s address.  
        Example: `Floor 61`.
    *   `city` (_string_, required) City name of the customer’s address.  
        Example: `San Francisco`.
    *   `state` (_string_, required) State of the customer’s address.  
        Example: `CA`.
    *   `postalCode` (_string_, required) Postal code of the customer’s address.  
        Example: `94105`.
    *   `countryCode` (_string_, required) Country of the customer’s address.  
        Example: `USA`.

### SuccessResponse

*   `maintenanceResponse` (_object_)
    *   `timestamp` (_datetime (rfc3339)_)  
        Example: `2022-02-28T16:41:41.090Z`.